Bug 1028247 - socat uses gethostbyname - might impact ipv6 support
socat uses gethostbyname - might impact ipv6 support
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: socat (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 20:34 EST by Paul Wouters
Modified: 2016-12-06 03:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-05 20:05:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2013-11-07 20:34:27 EST
Description of problem:

/usr/bin/filan on all architectures uses function gethostbyname
/usr/bin/procan on all architectures uses function gethostbyname
/usr/bin/socat on all architectures uses function gethostbyname
Comment 4 Gerhard 2016-06-28 08:08:59 EDT
Socat build process falls back to gethostbyname() only when neither getaddrinfo() nor getipnodebyname() are available.
Comment 5 Paul Wouters 2016-12-05 20:05:52 EST
Thanks Gerhard!

Note You need to log in before you can comment on or make changes to this bug.